OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_LabelSequence Class Reference

`#include <TDF_LabelSequence.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| TDF_LabelSequence ()
Standard_EXPORT void | Clear ()
| ~TDF_LabelSequence ()
Standard_EXPORT const TDF_LabelSequence & | Assign (const TDF_LabelSequence &Other)
const TDF_LabelSequence & | operator= (const TDF_LabelSequence &Other)
Standard_EXPORT void | Append (const TDF_Label &T)
void | Append (TDF_LabelSequence &S)
Standard_EXPORT void | Prepend (const TDF_Label &T)
void | Prepend (TDF_LabelSequence &S)
void | InsertBefore (const Standard_Integer Index, const TDF_Label &T)
void | InsertBefore (const Standard_Integer Index, TDF_LabelSequence &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const TDF_Label &T)
void | InsertAfter (const Standard_Integer Index, TDF_LabelSequence &S)
Standard_EXPORT const TDF_Label & | First () const
Standard_EXPORT const TDF_Label & | Last () const
void | Split (const Standard_Integer Index, TDF_LabelSequence &Sub)
Standard_EXPORT const TDF_Label & | Value (const Standard_Integer Index) const
const TDF_Label & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const TDF_Label &I)
Standard_EXPORT TDF_Label & | ChangeValue (const Standard_Integer Index)
TDF_Label & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)
## Private Member Functions
Standard_EXPORT | TDF_LabelSequence (const TDF_LabelSequence &Other)

## Constructor & Destructor Documentation

TDF_LabelSequence::TDF_LabelSequence | ( |  | ) |

TDF_LabelSequence::~TDF_LabelSequence | ( |  | ) | `[inline]`

Standard_EXPORT TDF_LabelSequence::TDF_LabelSequence | ( | const TDF_LabelSequence & | Other | ) | `[private]`

## Member Function Documentation

void TDF_LabelSequence::Append | ( | TDF_LabelSequence & | S | ) |

Standard_EXPORT void TDF_LabelSequence::Append | ( | const TDF_Label & | T | ) |

Standard_EXPORT const TDF_LabelSequence& TDF_LabelSequence::Assign | ( | const TDF_LabelSequence & | Other | ) |

Standard_EXPORT TDF_Label& TDF_LabelSequence::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TDF_LabelSequence::Clear | ( |  | ) |

Standard_EXPORT const TDF_Label& TDF_LabelSequence::First | ( |  | ) | const

void TDF_LabelSequence::InsertAfter | ( | const Standard_Integer | Index,
|  | TDF_LabelSequence & | S
| ) |

Standard_EXPORT void TDF_LabelSequence::InsertAfter | ( | const Standard_Integer | Index,
|  | const TDF_Label & | T
| ) |

void TDF_LabelSequence::InsertBefore | ( | const Standard_Integer | Index,
|  | TDF_LabelSequence & | S
| ) |

void TDF_LabelSequence::InsertBefore | ( | const Standard_Integer | Index,
|  | const TDF_Label & | T
| ) |

Standard_EXPORT const TDF_Label& TDF_LabelSequence::Last | ( |  | ) | const

void TDF_LabelSequence::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_LabelSequence::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_LabelSequence::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TDF_Label& TDF_LabelSequence::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const TDF_Label& TDF_LabelSequence::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TDF_LabelSequence& TDF_LabelSequence::operator= | ( | const TDF_LabelSequence & | Other | ) | `[inline]`

void TDF_LabelSequence::Prepend | ( | TDF_LabelSequence & | S | ) |

Standard_EXPORT void TDF_LabelSequence::Prepend | ( | const TDF_Label & | T | ) |

Standard_EXPORT void TDF_LabelSequence::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void TDF_LabelSequence::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TDF_LabelSequence::SetValue | ( | const Standard_Integer | Index,
|  | const TDF_Label & | I
| ) |

void TDF_LabelSequence::Split | ( | const Standard_Integer | Index,
|  | TDF_LabelSequence & | Sub
| ) |

Standard_EXPORT const TDF_Label& TDF_LabelSequence::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- TDF_LabelSequence.hxx